Subject: Re: [PATCH] selftests/net: Use kselftest skip code for skipped tests

From: Ido Schimmel <[email-masked]>
Date: Mon, 23 Aug 2021 13:51:38 +0300

On Mon, Aug 23, 2021 at 04:58:54PM +0800, Po-Hsu Lin wrote:
> There are several test cases in the net directory are still using
> exit 0 or exit 1 when they need to be skipped. Use kselftest
> framework skip code instead so it can help us to distinguish the
> return status.
> 
> Criterion to filter out what should be fixed in net directory:
>   grep -r "exit [01]" -B1 | grep -i skip
> 
> This change might cause some false-positives if people are running
> these test scripts directly and only checking their return codes,
> which will change from 0 to 4. However I think the impact should be
> small as most of our scripts here are already using this skip code.
> And there will be no such issue if running them with the kselftest
> framework.

Looks OK to me. We are running some of these selftests as part of
regression, so I applied your patch and will report results tomorrow.

Thanks